---
title: "Takes back an attendee's check-in at an event's session."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › attendee

`DELETE /v1/stores/{store}/products/{product}/attendees/{attendee}/check_in`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `attendee:checkin`

## Path parameters

- `store` (`undoEventAttendeeCheckIn.path.store`; string, required) — The store's id.
- `product` (`undoEventAttendeeCheckIn.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `attendee` (`undoEventAttendeeCheckIn.path.attendee`; string, required)
  - minLength 1

## Query parameters

- `session` (`undoEventAttendeeCheckIn.query.session`; string, required) — An id.
  - minLength 1

## Header parameters

- `Idempotency-Key` (`undoEventAttendeeCheckIn.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/attendees/<attendee>/check_in?session=string' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/attendees/<attendee>/check_in?session=string';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/attendees/<attendee>/check_in?session=string"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Takes back an attendee's check-in at an event's session.

#### Example

```json
{
  "checked_in": 0,
  "going": 0,
  "attendee_id": "string",
  "session_id": "string",
  "undone": true
}
```

- `checked_in` (`undoEventAttendeeCheckIn.response.200.checked_in`; number, required)
- `going` (`undoEventAttendeeCheckIn.response.200.going`; number, required)
- `attendee_id` (`undoEventAttendeeCheckIn.response.200.attendee_id`; string, required)
- `session_id` (`undoEventAttendeeCheckIn.response.200.session_id`; string, required)
- `undone` (`undoEventAttendeeCheckIn.response.200.undone`; boolean, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`undoEventAttendeeCheckIn.response.default.type`; string, required)
  - format `uri`
- `title` (`undoEventAttendeeCheckIn.response.default.title`; string, required)
- `status` (`undoEventAttendeeCheckIn.response.default.status`; integer, required)
- `detail` (`undoEventAttendeeCheckIn.response.default.detail`; string, required)
- `code` (`undoEventAttendeeCheckIn.response.default.code`; string, optional)
- `context` (`undoEventAttendeeCheckIn.response.default.context`; object, optional)
- `reached_core` (`undoEventAttendeeCheckIn.response.default.reached_core`; boolean, optional)
- `core_answer` (`undoEventAttendeeCheckIn.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/undo-event-attendee-check-in/index.md
